# frozen_string_literal: true

require_relative 'lib/active_storage/cascade/version'

Gem::Specification.new do |spec|
  spec.name          = 'activestorage-cascade'
  spec.version       = ActiveStorage::Cascade::VERSION
  spec.authors       = ['Mikko Kokkonen']
  spec.email         = ['mikko@mikian.com']

  spec.summary       = 'Cascading Service Support for ActiveStorage'
  spec.description   = 'Allows to use two services, primary and secondary for ActiveStorage'
  spec.homepage      = 'https://github.com/mikian/activestorage-cascade'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activestorage', '>= 5.2.2'
end
